## edu.cwru.SimpleRTS.agent.visual.editor
Class Editor.EditorMouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          edu.cwru.SimpleRTS.agent.visual.editor.Editor.EditorMouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

Enclosing class:
  Editor

    private class Editor.EditorMouseListener

extends java.awt.event.MouseAdapter

Constructor Summary
`private` `Editor.EditorMouseListener()`

Method Summary
`void` `mouseClicked(java.awt.event.MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Editor.EditorMouseListener

    private Editor.EditorMouseListener()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`